@import "../../../node_modules/flatpickr/dist/flatpickr.min.css";
@import "../../../node_modules/slick-carousel/slick/slick.css";
@import "../../../node_modules/slick-carousel/slick/slick-theme.css";

body{
  .calendar-page{
    .logo{
      padding: 30px 0 20px;
      text-align: center;
      background: #f6f6f6;
    }
    .inner-page{
      padding-bottom: 52px;
      .member-name{
        background: #14171d;
        padding: 20px 40px;
        color: #fff;
        h1{
         font-size:48px ;
          margin: 0;
        }
        p{
          margin: 0;
          font-size: 28px;
          font-family: "Arial";
        }
      }
      .calendar-content{
        main{
          background: #f9f9f9;
        }
      }
      #calendar-select{display: none}
      .flatpickr-calendar{
        top:0;
        border-radius: 0;
        width:100% !important;
        max-width: 100%;
        box-shadow: none;
        &::before{display: none}
        &::after{display: none}
        .flatpickr-month{
          height:50px;
          .flatpickr-current-month{
            font-size: 24px;
            span{
              font-weight: 300;
            }
          }
        }
        .flatpickr-weekwrapper{
          display: block;
          float: left;
          width: 6%;
          border: 0;
          font-size: 16px;
          font-weight: 300;
          .flatpickr-weekday{
            font-size:0;
          }
          .flatpickr-weeks{
            border: 0;
            box-shadow: none;
            border-top:1px solid #c2c1c1;
            font-family: "Arial";
            font-size: 16px;
            padding: 0;
            span{
              text-align: left;
              padding-left: 5px;
            }
          }
        }
        .flatpickr-rContainer{
          display: block;
          float: left;
          width: 94%;
          border: 0;
          font-size: 16px;
          font-weight: 300;
          .flatpickr-days{
            border-top:1px solid #c2c1c1;
            width:100% !important;
            max-width:100% !important;
            .dayContainer{
              width:100% !important;
              max-width:100% !important;
              .flatpickr-day{
                max-width: 100%;
                border: 0;
                background: 0;
                font-family: "Arial";
                font-size: 19px;
                &:hover{
                  color: #eb0b22;
                }
                &.today{
                  color: #fff;
                  position: relative;
                  &::before{
                    content:"";
                    position: absolute;
                    top:50%;
                    background: #000;
                    width: 30px;
                    height: 30px;
                    left:50%;
                    transform: translate(-50%,-50%);
                    -webkit-transform: translate(-50%,-50%);
                    z-index: -1;
                    border-radius: 50%;

                  }
                }
                &.selected{
                  color: #eb0b22;
                }
              }
            }
          }
        }
      }
      .result-select-time{
        padding: 20px 0;
        background: #f4f4f4;
        overflow: hidden;
        position: relative;
        h3{
          font-size: 27px;
          margin: 0 0 0 40px;
          float: left;
          margin-top: 17px;
        }
        p{
          margin: 0 10px 0 0;
          float: right;
          font-size: 30px;
          padding: 10px 40px;
          box-sizing: border-box;
          border: 2px solid #333;
          background: #fc6f20;
          color: #000;
        }
      }
      .list-time{
        padding: 40px;
        background: #f1f2f3;
        .time{
          padding: 0 10px;
          text-align: center;
          span{
            display: block;
            text-align: center;
            padding: 30px;
            font-size: 30px;
            font-family: "Arial";
            border-radius: 5px;
            background: #fff;
            color: #000;
            border: 2px solid #e1e3e5;
            transition: all 0.7s;
            cursor: pointer;
            &.active,&:hover{
              border: 2px solid #000;
            }
          }
        }
      }
    }
  }
}